::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
::  LG Esteem root script
::  Windows version
::
::  LG Esteem root script v2 by Dan Rosenberg (@djrbliss)
::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Instructions:
::
::  1. Ensure you have the latest drivers installed from LG 
::
::  2. Put your device in debugging mode
::
::  3. Attach it via USB
::
::  4. Run this script in the same directory as the rest of the extracted
::     zipfile
::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

@echo off
cd "%~dp0"

echo [*] LG Esteem root script v2 (Windows version)
echo [*] Copyright (c) 2012 Dan Rosenberg (@djrbliss)
echo [*]
echo [*] Re-roots the patched LG Esteem
echo [*]
echo [*] Before continuing, ensure USB debugging is enabled, that you
echo [*] have the latest LG drivers installed, and that your phone is
echo [*] connected via USB.
echo [*]
echo [*] Press enter to root your phone...
pause
echo [*] 

echo [*] Waiting for device...
adb kill-server
adb wait-for-device

echo [*] Device found.

adb shell "rm /data/bootlogo/bootlogopid"
adb shell "ln -s /data /data/bootlogo/bootlogopid"

echo [*] Rebooting...
adb reboot
echo [*] Waiting for reboot...
adb wait-for-device

adb shell "echo 'ro.kernel.qemu=1' > /data/local.prop"

echo [*] Rebooting again...
adb reboot
echo [*] Waiting for reboot...
adb wait-for-device

:: Install the goods
echo [*] Installing root tools... 
adb remount
adb push su /system/bin/su
adb shell "chmod 6755 /system/bin/su"
adb shell "ln -s /system/bin/su /system/xbin/su"
adb push Superuser.apk /system/app/Superuser.apk
adb push busybox /system/xbin/busybox
adb shell "chmod 755 /system/xbin/busybox"
adb shell "/system/xbin/busybox --install /system/xbin"

:: Clean up after ourselves
echo [*] Cleaning up...
adb shell "rm /data/bootlogo/bootlogopid"
adb shell "rm /data/local.prop"

echo [*] Rebooting one last time...
adb reboot

adb wait-for-device
echo [*] Root complete, enjoy!
echo [*] Press any key to exit.
pause
adb kill-server
